<div class="container white-bx">
  <span>
    <h5>Add Advertisement :</h5>
    <!-- <button class="btnsub" mat-button routerLink="/schemelist" >Back To List</button> -->
  </span>
  <alert></alert>
  <div class="row">
    <div class="col l6 xl6 m6 s12">
      <mat-form-field>
        <mat-label>Category </mat-label>
        <mat-select name="Category" [(ngModel)]="model.Category">
          <mat-option>--Select--</mat-option>
          <mat-option value="1">Option 1</mat-option>
          <mat-option value="2">Option 2</mat-option>
          <mat-option value="3">Option 3</mat-option>
        </mat-select>
      </mat-form-field>
    </div>

    <div class="col l6 xl6 m6 s12">
      <mat-form-field>
        <mat-label>Sub Category </mat-label>
        <mat-select name="SubCategory" [(ngModel)]="model.SubCategory">
          <mat-option>--Select--</mat-option>
          <mat-option value="1">Option 1</mat-option>
          <mat-option value="2">Option 2</mat-option>
          <mat-option value="3">Option 3</mat-option>
        </mat-select>
      </mat-form-field>
    </div>

    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Subject (in hindi) </mat-label>
        <textarea matInput placeholder="Subject hindi" [(ngModel)]="model.SubjectHin"></textarea>
      </mat-form-field>

    </div>

    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Subject (in English) </mat-label>
        <textarea matInput placeholder="Subject English" [(ngModel)]="model.SubjectEng"></textarea>
      </mat-form-field>

    </div>

    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Date</mat-label>
        <input matInput [matDatepicker]="picker" (focus)="picker.open()" [min]="todayDate" readonly
          placeholder="Choose a date" name="AdvDate" id="AdvDate" [(ngModel)]="model.AdvDate">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>

    </div>
    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Admin Department </mat-label>
        <mat-select name="AdminDepartment" [(ngModel)]="model.AdminDepartment" multiple>
          <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlExecutiveDepartment">{{k.Name}}</mat-option>

        </mat-select>
      </mat-form-field>

    </div>
    <div class="col l6 xl6 m6 s12">
      <div class="upload-btn-wrapper">
        <label>Choose File</label>
        <input type="file" id="file" (change)="handleFileInput($event.target.files)">

      </div>
      <mat-error *ngIf="fileValidationMsg?.length>0">{{fileValidationMsg}}</mat-error>
    </div>

    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Districts</mat-label>
        <mat-select name="Districts" [(ngModel)]="model.Districts" multiple>
          <mat-option value="{{item.Value}}" *ngFor="let item of dDLList?.ddldistrict">{{item.Name}} </mat-option>
        </mat-select>
      </mat-form-field>
    </div>


    <div class="col l6 xl6 m6 s12">
      <mat-form-field class="example-full-width">
        <mat-label>Beneficiary Category </mat-label>
        <mat-select name="BeneficiaryCategories" [(ngModel)]="model.BeneficiaryCategories" multiple>
          <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlCategoryScheme">{{k.Name}}</mat-option>
        </mat-select>
      </mat-form-field>

    </div>



    <div class="col l12 x8 m4 s12">
      <button mat-button class="btn-submit" (click)="SaveClick();">Submit</button>
    </div>

  </div>
</div>